Name:           xsh
Version:        2.1.0
Release:        1%{?dist}
Summary:        XML editing shell

Group:          Applications/Text
License:        GPL or Artistic
URL:            http://xsh.sourceforge.net/
Source0:        http://download.sourceforge.net/xsh/XML-XSH2-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
Provides:       perl-XML-XSH2 = %{version}-%{release}
BuildRequires:  perl-Parse-RecDescent >= 1.94
BuildRequires:  perl-XML-LibXML >= 1.56
BuildRequires:  perl-XML-LibXSLT >= 1.53
BuildRequires:  perl-XML-LibXML-Iterator
BuildRequires:  perl-XML-LibXML-XPathContext
BuildRequires:  perl-XML-XUpdate-LibXML
Requires:       perl-XML-LibXML-XPathContext
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
The xsh is a powerful command-line XML (DOM) editing tool/programming
language in the manner of Unix shell interpreters and line-oriented
text editors like ed.  It can be used either interactively or for
batch-mode XML processing.


%prep
%setup -q -n XML-XSH2-%{version}

# Filter false positive dependencies.
cat << \EOF > %{name}-req
#!/bin/sh
%{__perl_requires} $* | grep -v 'perl(it)'
EOF
%define __perl_requires %{_builddir}/XML-XSH2-%{version}/%{name}-req
chmod +x %{__perl_requires}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -a -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
#make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Artistic BUGS Changes LICENSE README TODO
%{_bindir}/xsh
%{perl_vendorlib}/XML/
%{_mandir}/man1/xsh.1*
%{_mandir}/man3/XML::XSH2*
%{_mandir}/man3/XSH2.3.gz*


%changelog
* Fri Jan 5 2007 Ismael Olea <ismael@olea.org> 2.1.0-1olea
- update to 2.1.0

* Tue Oct  3 2006 Ville Skyttä <ville.skytta at iki.fi> - 2.0.2-0.3
- Rebuild.

* Sun Mar 26 2006 Ville Skyttä <ville.skytta at iki.fi> - 2.0.2-0.2
- Rebuild.

* Tue Jul 12 2005 Ville Skyttä <ville.skytta at iki.fi> - 2.0.2-0.1
- 2.0.2.

* Wed Jun 22 2005 Ville Skyttä <ville.skytta at iki.fi> - 1.8.2-0.1
- Rebuild for FC4.

* Fri Jun  4 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.8.2-0.fdr.3
- Bring up to date with current fedora.us perl spec template.

* Sat May  1 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.8.2-0.fdr.2
- Require perl(:MODULE_COMPAT_*) and perl-XML-LibXML-XPathContext.
- Reduce directory ownership bloat.

* Thu Nov 27 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.8.2-0.fdr.1
- First build.
